#!/usr/bin/env bash

function random_string {
    chars="abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789"

    for i in {1..4} ; do
        echo -n "${chars:RANDOM%${#chars}:1}"
    done
}

data_dir="$(mktemp -d)"

# make prod
# LANDER_DATA_DIR="${data_dir}" \
#     LANDER_BASE_URL=http://localhost:18080/ \
#     LANDER_API_KEY=test \
#     ./build/Release/lander &

# # Just to make sure the server has started
sleep 1

# Populate server with data
for x in {1..100000} ; do
    path="$(random_string)"

    curl \
        -XPOST \
        -H 'X-Api-Key: test' \
        -d "http://example.com/thisisalongurl" \
        -s \
        "http://localhost:18080/s/${path}" > /dev/null
done
